package com.lovenav.dao;

import com.lovenav.entity.LoginLogs;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;
@Mapper
@Repository
public interface LoginLogsDao {
    int deleteByPrimaryKey(Integer id);

    int insert(LoginLogs record);

    int insertSelective(LoginLogs record);

    LoginLogs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LoginLogs record);

    int updateByPrimaryKey(LoginLogs record);

    LoginLogs selectAlreadyExist(int userId);

    int updateByUserId(LoginLogs record);
}